"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const state_tracker_1 = require("./state-tracker");
let ReactiveService = class ReactiveService {
    setState(updater, after) {
        // @ts-ignore
        this.stateTracker.enqueueUpdate({
            // @ts-ignore
            service: this,
            updater,
            after,
        });
    }
};
tslib_1.__decorate([
    inversify_1.inject(state_tracker_1.StateTracker),
    tslib_1.__metadata("design:type", state_tracker_1.StateTracker)
], ReactiveService.prototype, "stateTracker", void 0);
ReactiveService = tslib_1.__decorate([
    inversify_1.injectable()
], ReactiveService);
exports.ReactiveService = ReactiveService;
//# sourceMappingURL=reactive-service.js.map